<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.jxy.marketall.mapper.BTCNewV2Mapper">

    <select id="getBTCTags" resultType="com.jxy.marketall.entity.BTCTags">
        select id,address,tag from btcdb.btc
    </select>

    <select id="getBTCExchangeBalance" resultType="com.jxy.marketall.entity.ExchangeBalance">
        select date_format(unixdt,'%Y-%m-%d') as `date`,ebalance,
        etag1,ebalance1,
        etag2,ebalance2,
        etag3,ebalance3,
        etag4,ebalance4,
        etag5,ebalance5,
        etag6,ebalance6,
        etag7,ebalance7,
        etag8,ebalance8,
        etag9,ebalance9,
        etag10,ebalance10
        from btcdb.btcebalance
        where unixdt &gt;= '2023-12-05'
        order by unixdt
    </select>

    <select id="getETHTags" resultType="com.jxy.marketall.entity.ETHTags">
        select id,address,tag from eth
    </select>

    <select id="getETHExchangeBalance" resultType="com.jxy.marketall.entity.ExchangeBalance">
        select date_format(unixdt,'%Y-%m-%d') as `date`,ebalance,
        etag1,ebalance1,
        etag2,ebalance2,
        etag3,ebalance3,
        etag4,ebalance4,
        etag5,ebalance5,
        etag6,ebalance6,
        etag7,ebalance7,
        etag8,ebalance8,
        etag9,ebalance9,
        etag10,ebalance10
        from ethebalance
        where unixdt &gt;= '2023-12-05'
        order by unixdt
    </select>
</mapper>
